/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 24.01.2017, 11:25:02
    Author     : root
*/

.editableform {
    margin-bottom: 0; /* overwrites bootstrap margin */
}

.editableform .control-group {
    margin-bottom: 0; /* overwrites bootstrap margin */
    white-space: nowrap; /* prevent wrapping buttons on new line */
    line-height: 20px; /* overwriting bootstrap line-height. See #133 */
}

/* 
  BS3 width:1005 for inputs breaks editable form in popup 
  See: https://github.com/vitalets/x-editable/issues/393
*/
.editableform .form-control {
    width: auto;
}

.editableform .form-control.field-replica {
    width: 555px;
    height: 54px;
}
.editableform .form-control.field-answer {
    width: 490px;
    height: 54px;
}
.editableform .form-control.field-comment {
    width: 780px;
    height: 33px;
}
.editableform .form-control.long-field-1 {
    width: 700px;
}

.editableform .form-control.visitors-age {
    width: 70px;
}

/* Robot parameter */
.editableform .form-control.form-robotparameter-name {
    width: 280px;
}
.editableform .form-control.form-robotparameter-defaultvalue {
    width: 240px;
}
.editableform .form-control.form-robotparameter-valuearray {
    width: 990px;
}
.editableform .form-control.form-robotparameter-100 {
    width: 150px;
}
.editableform .form-control.form-robotparametertransl-name {
    width: 310px;
}
.editableform .form-control.form-robotparametertransl-description {
    width: 620px;
    height: 55px;
}


.acc-repllist .editable-inline {
    float: right;
    margin-right: 67px;
}

.wrapped-action-lnk a {
    display: block;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    border-bottom: none !important;
    text-decoration-line: underline !important;
    text-decoration-style: dashed !important;
}